<?php
	include 'config.php';
	include 'classes.php';
	include 'functions.php';
	include 'settings.php';
	
	if (isset($_POST['selector'])) {
		$id = $_POST['selector'];
		
		/* Laden der Localization, Initialisierung des Array $data */
		$ezLoc->get_data("overview");
		$ezLoc->get_data("detail", true);
		$data = $ezLoc->data;
		$data['global'] = Array();
		if ($ezstats['target']) $target = '$("#ezDetail a").attr("target", "blank");'; else $target = "";
		
		eval ("\$template = \"".$ezLoc->get_template("detail_head")."\";");
		echo $template;
		
		
		/* Allgemeine Daten */ 
		$stats = $ezData->get_stats($id, "default");
		$data['global']['name'] = $stats['name'];
		$data['global']['time'] = $stats['time'];
		$data['global']['score'] = $stats['score'];
		$data['global']['kills'] = $stats['kills'];
		$data['global']['deaths'] = $stats['deaths'];
		$data['global']['rank'] = $stats['rank'];
		$data['global']['lastonline'] = $stats['lastonline'];
		$data['global']['server'] = $stats['server'];
		
		$data['name'] = 		$stats['clantag']." ".htmlentities($stats['name']);
		$data['veteran'] = 		$stats['veteran']*14;
		$data['rank_name'] = 	$ezstats["ranknames"][$stats['rank']];
		$data['score'] = 		$ezFunc->convert_stats_data(Array($stats['score']), "number");
		$data['elo'] = 			$ezFunc->convert_stats_data(Array($stats['elo']), "number");
		$data['level'] = 		$ezFunc->convert_stats_data(Array($stats['level']), "number");
		$data['time'] = 		$ezFunc->convert_stats_data(Array($stats['time'], 0, "date", ""), "time");
		$data['kills'] = 		$ezFunc->convert_stats_data(Array($stats['kills']), "number");
		$data['deaths'] = 		$ezFunc->convert_stats_data(Array($stats['deaths']), "number");
		$data['kdr'] = 			$ezFunc->convert_stats_data(Array($stats['kills'], $stats['deaths'], 2, "", "", true), "ratio");
		$data['last_upd'] = 	$ezFunc->convert_stats_data(Array($stats['date_lastupdate']), "last_update");
		
		$stats = $ezData->get_stats($id, "dogtags");
		$data['dogt_total'] = 		$ezFunc->convert_stats_data(Array($stats['dogt_total'], 0, "", $ezLoc->data['desc_dogt_total']), "number");
		$data['dogt_uniuque'] = 	$ezFunc->convert_stats_data(Array($stats['dogt_uniuque'], 0, "", $ezLoc->data['desc_dogt_uniuque']), "number");
		$data['dogt_bron'] = 		$ezFunc->convert_stats_data(Array($stats['dogt_bron'], 0, "", $ezLoc->data['desc_dogt_total']), "number");
		$data['dogt_bron_u'] = 		$ezFunc->convert_stats_data(Array($stats['dogt_bron_u'], 0, "", $ezLoc->data['desc_dogt_uniuque']), "number");
		$data['dogt_silv'] = 		$ezFunc->convert_stats_data(Array($stats['dogt_silv'], 0, "", $ezLoc->data['desc_dogt_total']), "number");
		$data['dogt_silv_u'] = 		$ezFunc->convert_stats_data(Array($stats['dogt_silv_u'], 0, "", $ezLoc->data['desc_dogt_uniuque']), "number");
		$data['dogt_gold'] = 		$ezFunc->convert_stats_data(Array($stats['dogt_gold'], 0, "", $ezLoc->data['desc_dogt_total']), "number");
		$data['dogt_gold_u'] = 		$ezFunc->convert_stats_data(Array($stats['dogt_gold_u'], 0, "", $ezLoc->data['desc_dogt_uniuque']), "number");
		
		/* Punkte */
		$stats = $ezData->get_stats($id, "general");
		$data['inf_score'] = 	$ezFunc->convert_stats_data(Array(($stats['sc_assault']+$stats['sc_demo']+$stats['sc_recon']+$stats['sc_support'])), "number");
		$data['fz_score'] =		$ezFunc->convert_stats_data(Array($stats['sc_vehicle']), "number");
		$data['award_score'] = 	$ezFunc->convert_stats_data(Array($stats['sc_award']), "number");
		$data['sq_score'] = 	$ezFunc->convert_stats_data(Array($stats['sc_squad']), "number");
		$data['team_score'] = 	$ezFunc->convert_stats_data(Array($stats['sc_team']), "number");
		$data['bonus_score'] = 	$ezFunc->convert_stats_data(Array($stats['sc_bonus']), "number");
		
		
		/* Verschiedenes */
		$data['global']['wins'] = $stats['wins'];
		$data['global']['losses'] = $stats['losses'];
		$data['global']['games'] = $stats['games'];
		
		$data['spm'] = 			$ezFunc->convert_stats_data(Array($data['global']['score'], ($data['global']['time'] / 60)), "ratio");
		$data['kpm'] = 			$ezFunc->convert_stats_data(Array($data['global']['kills'], ($data['global']['time'] / 60), 2), "ratio");
		$data['dpm'] = 			$ezFunc->convert_stats_data(Array($data['global']['deaths'], ($data['global']['time'] / 60), 2), "ratio");
		$data['games'] = 		$ezFunc->convert_stats_data(Array($stats['games']), "number");
		$data['wins'] = 		$ezFunc->convert_stats_data(Array($stats['wins']), "number");
		$data['losses'] = 		$ezFunc->convert_stats_data(Array($stats['losses']), "number");
		$data['wlr'] = 			$ezFunc->convert_stats_data(Array($stats['wins'], $stats['losses'], 2, "", "", true), "ratio");
		$data['accuracy'] = 	$ezFunc->convert_stats_data(Array($stats['accuracy'], 0, "%"), "number");
		
		eval ("\$template = \"".$ezLoc->get_template("detail_lcol")."\";");
		echo $template;
		eval ("\$template = \"".$ezLoc->get_template("detail_rcol_head")."\";");
		echo $template;
		
		
		/* Klassen */
		eval ("\$template = \"".$ezLoc->get_template("detail_rcol_kits_head")."\";");
		echo $template;
		$stats = $ezData->get_stats($id, "kits");
		$data['global']['kits'] = $stats;
		if (is_array($stats)) {
			foreach ($stats as $kit => $values) {
				if ($kit != "ID") {
					$data['name'] 		= $values['name'];
					$data['score'] 		= $ezFunc->convert_stats_data(Array($values['score'], 0, "", $ezLoc->data['title_score']), "number");
					$data['kills'] 		= $ezFunc->convert_stats_data(Array($values['kills'], 0, "", $ezLoc->data['title_kills']), "number");
					$data['deaths'] 	= $ezFunc->convert_stats_data(Array($values['deaths'], 0, "", $ezLoc->data['title_deaths']), "number");
					$data['kdr']		= $ezFunc->convert_stats_data(Array($values['kills'], $values['deaths'], 2, "", $ezLoc->data['title_kdr'], true), "ratio");
					
					$data['global']['kitsort'][$kit] = $values['score'];
					arsort($data['global']['kitsort']);
					
					eval ("\$template = \"".$ezLoc->get_template("detail_rcol_kits_body")."\";");
					echo $template;
				}
			}
		}
		eval ("\$template = \"".$ezLoc->get_template("detail_rcol_kits_foot")."\";");
		echo $template;
		
		
		/* Teams */
		eval ("\$template = \"".$ezLoc->get_template("detail_rcol_teams_head")."\";");
		echo $template;
		$stats = $ezData->get_stats($id, "teams");
		$data['global']['rushwins'] = $data['global']['rushlosses'] = 0;
		if (is_array($stats)) {
			foreach ($stats as $kit => $values) {
				if ($kit != "ID") {
					$data['team'] 					 = $ezLoc->data[$values['name']];
					$data['wins'] 					 = $ezFunc->convert_stats_data(Array($values['win'], 0, "", $ezLoc->data['title_wins']), "number");
					$data['global']['rushwins'] 	+= $values['win'];
					$data['losses'] 				 = $ezFunc->convert_stats_data(Array($values['loss'], 0, "", $ezLoc->data['title_losses']), "number");
					$data['global']['rushlosses'] 	+= $values['loss'];
					$data['wlr'] 					 = $ezFunc->convert_stats_data(Array($values['win'], $values['loss'], 2, "", $ezLoc->data['title_wlr'], true), "ratio");
					
					eval ("\$template = \"".$ezLoc->get_template("detail_rcol_teams_body")."\";");
					echo $template;
				}
			}
		}
		$data['cq_win'] 	 = $data['global']['wins'] - $data['global']['rushwins'];
		$data['cq_loss'] 	 = $data['global']['losses'] - $data['global']['rushlosses'];
		$data['team'] 		 = $ezLoc->data['cqm'];
		$data['wins'] 		 = $ezFunc->convert_stats_data(Array($data['cq_win'], 0, "", $ezLoc->data['title_wins']), "number");
		$data['losses'] 	 = $ezFunc->convert_stats_data(Array($data['cq_loss'], 0, "", $ezLoc->data['title_losses']), "number");
		$data['wlr'] 		 = $ezFunc->convert_stats_data(Array($data['cq_win'], $data['cq_loss'], 2, "", $ezLoc->data["title_wlr"], true), "ratio");
		
		
		eval ("\$template = \"".$ezLoc->get_template("detail_rcol_teams_body")."\";");
		/* echo $template; -> Anzeige der berechneten Cqm-Runden. Sind wohl falsch */
		eval ("\$template = \"".$ezLoc->get_template("detail_rcol_teams_foot")."\";");
		echo $template;
		
		
		/* Waffen */
		$data['hs_img'] = $ezstats['relpath']."stylesheets/images/headshot.png";
		eval ("\$template = \"".$ezLoc->get_template("detail_rcol_weapons_head")."\";");
		echo $template;
		$stats = $ezData->get_stats($id, "weapons");
		$data['global']['weapons'] = $stats;
		if (is_array($stats)) {
			foreach ($stats as $kit => $values) {
				if ($kit != "ID" AND $values['seconds']) {
					$data['name'] 			= $ezFunc->convert_stats_data(Array($ezstats['weapons'], $kit, "weapons", $ezstats['relpath']), "descriptions");
					$data['stars'] 			= $ezFunc->convert_stats_data(Array($values['stars'], $ezLoc->data), "stars");
					$data['time_short'] 	= $ezFunc->convert_stats_data(Array($values['seconds'], 0, "min", $ezLoc->data["title_time_wp"]), "time");
					$data['kills'] 			= $ezFunc->convert_stats_data(Array($values['kills'], 0, "", $ezLoc->data['title_kills']), "number");
					$data['hs'] 			= $ezFunc->convert_stats_data(Array($values['headshots'], 0, "", $ezLoc->data['title_headshots']), "number");
					$data['hs_acc']			= $ezFunc->convert_stats_data(Array($values['headshots'], $values['kills'], 0, "%", $ezLoc->data['title_headshot_ratio']), "ratio");
					$data['kpm'] 			= $ezFunc->convert_stats_data(Array($values['kills'], ($values['seconds'] / 60), 2, "", $ezLoc->data['title_kmp']), "ratio");
					$data['shots'] 			= $ezFunc->convert_stats_data(Array($values['shots_fired'], 0, "", $ezLoc->data['title_shots_fired']), "number");
					$data['hits'] 			= $ezFunc->convert_stats_data(Array($values['shots_hit'], 0, "", $ezLoc->data['title_shots_hit']), "number");
					$data['acc']			= $ezFunc->convert_stats_data(Array($values['shots_hit'], $values['shots_fired'], 0, "%",  $ezLoc->data['title_accuracy']), "ratio");
					
					$data['global']['weaponsort'][$kit] = $values['kills'];
					arsort($data['global']['weaponsort']);
					
					eval ("\$template = \"".$ezLoc->get_template("detail_rcol_weapons_body")."\";");
					echo $template;
				}
			}
		}
		eval ("\$template = \"".$ezLoc->get_template("detail_rcol_weapons_foot")."\";");
		echo $template;
		
		
		/* Fahrzeuge */
		eval ("\$template = \"".$ezLoc->get_template("detail_rcol_vehicles_head")."\";");
		echo $template;
		$stats = $ezData->get_stats($id, "vehicles");
		$data['global']['vehicles'] = $stats;
		if (is_array($stats)) {
			foreach ($stats as $kit => $values) {
				if ($kit != "ID" AND $values['seconds']) {
					$data['name'] 			= $ezFunc->convert_stats_data(Array($ezstats['vehicles'], $kit, "vehicles", $ezstats['relpath']), "descriptions");
					$data['stars'] 			= $ezFunc->convert_stats_data(Array($values['stars'], $ezLoc->data), "stars");
					$data['type'] 			= $ezFunc->convert_stats_data(Array("vehicles", $values['class'], $ezLoc->data), "type");
					$data['time_short'] 	= $ezFunc->convert_stats_data(Array($values['seconds'], 0, "min", $ezLoc->data['title_time_fz']), "time");
					$data['kills'] 			= $ezFunc->convert_stats_data(Array($values['kills'], 0, "", $ezLoc->data['title_kills']), "number");
					$data['kpm'] 			= $ezFunc->convert_stats_data(Array($values['kills'], ($values['seconds'] / 60), 2, "", $ezLoc->data['title_kmp']), "ratio");
					if (isset($values['roadkills'])) {
						$data['roadkills']		= $ezFunc->convert_stats_data(Array($values['roadkills'], 0, "", $ezLoc->data['title_roadkills']), "number");
						$data['distance'] 		= $ezFunc->convert_stats_data(Array($values['distance'], 0, "", $ezLoc->data['title_distance']), "number");
					} else {
						$data['roadkills'] = "";
						$data['distance'] = "";
					}
					
					$data['global']['vehiclesort'][$kit] = $values['kills'];
					arsort($data['global']['vehiclesort']);
					
					eval ("\$template = \"".$ezLoc->get_template("detail_rcol_vehicles_body")."\";");
					echo $template;
				}
			}
		}
		eval ("\$template = \"".$ezLoc->get_template("detail_rcol_vehicles_foot")."\";");
		echo $template;
		
		
		/* Gadgets */
		eval ("\$template = \"".$ezLoc->get_template("detail_rcol_gadgets_head")."\";");
		echo $template;
		$stats = $ezData->get_stats($id, "gadgets");
		$data['global']['gadgets'] = $stats;
		if (is_array($stats)) {
			foreach ($stats as $kit => $values) {
				if ($kit != "ID" AND $values['unlocked'] == "1") {
					$data['name'] 			= $ezFunc->convert_stats_data(Array($ezstats['gadgets'], $kit, "gadgets", $ezstats['relpath']), "descriptions");
					$data['type'] 			= $ezFunc->convert_stats_data(Array("gadgets", $values['kit'], $ezLoc->data), "type");
					$data['stars'] 			= $ezFunc->convert_stats_data(Array($values['stars'], $ezLoc->data), "stars");
					$data['specials'] 		= $ezFunc->convert_stats_data(Array($values, $ezLoc->data), "specials");
					if (isset($values['kills'])) {
						$data['time_short'] = $ezFunc->convert_stats_data(Array($values['seconds'], 0, "min", $ezLoc->data['title_time_wp']), "time");
						$data['kills'] 		= $ezFunc->convert_stats_data(Array($values['kills'], 0, "", $ezLoc->data['title_kills']), "number");
						$data['kpm'] 		= $ezFunc->convert_stats_data(Array($values['kills'], ($values['seconds'] / 60), 2, "", $ezLoc->data['title_kmp']), "ratio");
						$data['hs'] 		= $ezFunc->convert_stats_data(Array($values['headshots'], 0, "", $ezLoc->data['title_headshots']), "number");
						$data['shots'] 		= $ezFunc->convert_stats_data(Array($values['shots_fired'], 0, "", $ezLoc->data['title_shots_fired']), "number");
						$data['hits'] 		= $ezFunc->convert_stats_data(Array($values['shots_hit'], 0, "", $ezLoc->data['title_shots_hit']), "number");
						$data['acc']		= $ezFunc->convert_stats_data(Array($values['shots_hit'], $values['shots_fired'], 0, "%",  $ezLoc->data['title_accuracy']), "ratio");
						
						$data['global']['gadgetssort'][$kit] = $values['kills'];
						arsort($data['global']['gadgetssort']);
					} else {
						$data['time_short'] = "";
						$data['kills'] = "";
						$data['kpm'] = "";
						$data['hs'] = "";
						$data['shots'] = "";
						$data['hits'] = "";
						$data['acc'] = "";
					}
					
					eval ("\$template = \"".$ezLoc->get_template("detail_rcol_gadgets_body")."\";");
					echo $template;
				}
			}
		}
		eval ("\$template = \"".$ezLoc->get_template("detail_rcol_gadgets_foot")."\";");
		echo $template;
		
		
		/* Pins */
		eval ("\$template = \"".$ezLoc->get_template("detail_rcol_pins_head")."\";");
		echo $template;
		$stats = $ezData->get_stats($id, "pins");
		$data['global']['pins'] = $stats;
		if (is_array($stats)) {
			foreach ($stats as $kit => $values) {
				if ($kit != "ID") {
					$data['name'] 	= $ezFunc->convert_stats_data(Array($ezstats['pins'], $kit, "pins", $ezstats['relpath']), "descriptions");
					$data['count'] 	= $ezFunc->convert_stats_data(Array($values['count'], 0, "", $ezLoc->data['title_count_pins']), "number");
					$data['ppr']	= $ezFunc->convert_stats_data(Array($values['count'], $data['global']['games'], 2, "",  $ezLoc->data['title_ppr']), "ratio");
					
					$data['global']['pinssort'][$kit] = $values['count'];
					arsort($data['global']['pinssort']);
					
					eval ("\$template = \"".$ezLoc->get_template("detail_rcol_pins_body")."\";");
					echo $template;
				}
			}
		}
		eval ("\$template = \"".$ezLoc->get_template("detail_rcol_pins_foot")."\";");
		echo $template;
		
		
		/* Signaturen */
		$types = Array("min", "med", "max");
		foreach ($types as $type) {
			$ezImage = new ezImage(Array("type" => $type));
			$ezImage->load_signature_settings();
			$url = "http://".$_SERVER['HTTP_HOST'].str_replace("detail.php", $ezImage->settings['signature_folder'], $_SERVER['PHP_SELF']);
			$url = $url.$id."_".$type.".png";
			$data['url_'.$type] = $url;
			$data['html_'.$type] = htmlspecialchars('<a href="'.$ezstats['clanhp'].'"><img src="'.$url.'" /></a>');
			$data['bb_'.$type] = '[url='.$ezstats['clanhp'].'][img]'.$url.'[/img][/url]';
		}
		if (file_exists($ezImage->settings['signature_folder'].$id."_min.png")) {
			eval ("\$template = \"".$ezLoc->get_template("detail_signatures")."\";");
			echo $template;
		}
		
		eval ("\$template = \"".$ezLoc->get_template("detail_rcol_foot")."\";");
		echo $template;
		
		
		/* Zusammenfassung */
		$data['rankicon'] = str_pad($data['global']['rank'], 3, "0", STR_PAD_LEFT);
		$data['rankicon'] = 'background: transparent url('.$ezstats['relpath'].'stylesheets/images/ranks/r'.$data['rankicon'].'.png) no-repeat';
		$data['bfbcslink'] = 'http://bfbcs.com/stats_'.$ezstats['system'].'/'.urlencode($data['global']['name']);
		
		if ($data['global']['rank'] < 50) {
			$data['points_thisrank'] 	= $ezstats['rankpoints'][$data['global']['rank']];
			$data['points_nextrank'] 	= $ezstats['rankpoints'][$data['global']['rank']+1];
			$data['points_to_lvlup'] 	= $data['points_nextrank'] - $data['global']['score'];
			$data['points_this_lvl'] 	= $data['global']['score'] - $data['points_thisrank'];
			$data['perc_to_lvlup']		= round(($data['points_this_lvl'] / ($data['points_nextrank'] - $data['points_thisrank'])) * 100);
			
			$data['time_nextrank_sec'] 	= $data['points_to_lvlup'] * $data['global']['time'] / $data['global']['score'];
			$data['time_nextrank_min'] 	= number_format(round($data['time_nextrank_sec']/60), 0, ".", " ");
			
		} else {
			$data['perc_to_lvlup'] = 100;
			$data['time_nextrank_min'] = 0;
			$data['points_to_lvlup'] = 0;
		}
		
		if ($data['global']['lastonline']) {
			$data['last_online_style'] 		= "block";
			$data['last_online_date'] 		= $ezFunc->convert_stats_data(Array($data['global']['lastonline']), "last_update");
			if (is_array($data['global']['server'])) {
				if (strlen($data['global']['server']['name']) > 40) {
					$data['last_server_name'] = substr($data['global']['server']['name'], 0, 40)."&hellip;";
					$data['last_server_name_long'] = $data['global']['server']['name'];
				} else {
					$data['last_server_name'] = $data['global']['server']['name'];
					$data['last_server_name_long'] = "";
				}
				
				$data['last_server_ip']	= $data['global']['server']['addr'];
			} else {
				$data['last_server_name'] = "";
				$data['last_server_name_long'] = "";
				$data['last_server_ip'] = "";
			}
		} else {
			$data['last_online_style'] = "none";
			$data['last_online_date'] = "";
			$data['last_server_name'] = "";
			$data['last_server_name_long'] = "";
			$data['last_server_ip'] = "";
		}
		
		for ($i = 0; $i < 1; $i++) {
			if (isset($data['global']['kitsort'])) {
				$kit = each($data['global']['kitsort']);
				$kit = $kit['key'];
				$data['bestkit_name'] 		= $data['global']['kits'][$kit]['name'];
				$data['bestkit_score'] 		= $ezFunc->convert_stats_data(Array($data['global']['kits'][$kit]['score']), "number");
				$data['bestkit_kills'] 		= $ezFunc->convert_stats_data(Array($data['global']['kits'][$kit]['kills']), "number");
				$data['bestkit_deaths'] 	= $ezFunc->convert_stats_data(Array($data['global']['kits'][$kit]['deaths']), "number");
				$data['bestkit_kdr'] 		= $ezFunc->convert_stats_data(Array($data['global']['kits'][$kit]['kills'], $data['global']['kits'][$kit]['deaths'], 2), "ratio");
			}
			
			if (isset($data['global']['weaponsort'])) {
				$weapon = each($data['global']['weaponsort']);
				$weapon = $weapon['key'];
				$data['bestweapon_name'] 	= $data['global']['weapons'][$weapon]['name'];
				$data['bestweapon_kills'] 	= $ezFunc->convert_stats_data(Array($data['global']['weapons'][$weapon]['kills']), "number");
				$data['bestweapon_time'] 	= $ezFunc->convert_stats_data(Array($data['global']['weapons'][$weapon]['seconds'], 0, "min"), "time");
				$data['bestweapon_hsr'] 	= $ezFunc->convert_stats_data(Array($data['global']['weapons'][$weapon]['headshots'], $data['global']['weapons'][$weapon]['kills'], 0, "%"), "ratio");
				$data['bestweapon_kpm'] 	= $ezFunc->convert_stats_data(Array($data['global']['weapons'][$weapon]['kills'], ($data['global']['weapons'][$weapon]['seconds'] / 60), 2), "ratio");
			}
			
			if (isset($data['global']['vehiclesort'])) {
				$vehicle = each($data['global']['vehiclesort']);
				$vehicle = $vehicle['key'];
				$data['bestvehicle_name'] 	= $data['global']['vehicles'][$vehicle]['name'];
				$data['bestvehicle_kills'] 	= $ezFunc->convert_stats_data(Array($data['global']['vehicles'][$vehicle]['kills']), "number");
				$data['bestvehicle_time'] 	= $ezFunc->convert_stats_data(Array($data['global']['vehicles'][$vehicle]['seconds'], 0, "min"), "time");
				$data['bestvehicle_kpm'] 	= $ezFunc->convert_stats_data(Array($data['global']['vehicles'][$vehicle]['kills'], ($data['global']['vehicles'][$vehicle]['seconds'] / 60), 2), "ratio");
			}
			
			if (isset($data['global']['gadgetssort'])) {
				$gadgets = each($data['global']['gadgetssort']);
				$gadgets = $gadgets['key'];
				$data['bestgadget_name'] 	= $data['global']['gadgets'][$gadgets]['name'];
				$data['bestgadget_kills'] 	= $ezFunc->convert_stats_data(Array($data['global']['gadgets'][$gadgets]['kills']), "number");
				$data['bestgadget_time'] 	= $ezFunc->convert_stats_data(Array($data['global']['gadgets'][$gadgets]['seconds'], 0, "min"), "time");
				$data['bestgadget_kpm'] 	= $ezFunc->convert_stats_data(Array($data['global']['gadgets'][$gadgets]['kills'], ($data['global']['gadgets'][$gadgets]['seconds'] / 60), 2), "ratio");
			}
		}
		
		eval ("\$template = \"".$ezLoc->get_template("detail_summary")."\";");
		echo $template;
		
		
		eval ("\$template = \"".$ezLoc->get_template("detail_foot")."\";");
		echo $template;
	}
	
	else {
		//echo "<pre>";
		//$stats = $ezData->get_stats("ezzemm", "weapons");
		//$stats = $ezData->update_player("ezzemm");
		//$stats = $ezData->load_from_api("ezzemm", "vehicles");
		//print_r($stats);
		//echo "</pre>";
		
		$ezLoc->get_data("overview");
		echo $ezLoc->data['jsalert'];
	}
?>